Skip to content

Execute an action on an access item

Request

OAuth 2.0 scope:
  • okta.governance.securityAccessReviews.endUser.manage

Executes an action on an access or sub-access item in a security access review

Path
securityAccessReviewIdstringrequired

The ID of the security access review

securityAccessReviewTargetIdstringrequired

The ID of the access or sub-access item in a security access review

Bodyapplication/jsonrequired
typestring(security-access-review-access-item-supported-action)required

Supported actions

Enum ValueDescription
REVOKE_ACCESS

Revoke access for the user

RESTORE_ACCESS

Restore access for the user

FLAG_FOR_MANUAL_REMEDIATION

Access needs to be manually revoked for the user

FLAG_FOR_MANUAL_RESTORATION

Access needs to be manually restored for the user

POST
/governance/api/v2/my/security-access-reviews/{securityAccessReviewId}/accesses/{securityAccessReviewTargetId}/actions
curl -i -X POST \
  'https://okta-subdomain.pixtulate.com/governance/api/v2/my/security-access-reviews/{securityAccessReviewId}/accesses/{securityAccessReviewTargetId}/actions' \
  -H 'Content-Type: application/json' \
  -d '{
    "type": "REVOKE_ACCESS"
  }'

Responses

Action initiated successfully

Response
No content